Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590953 - AS plugin: NPE after ConcurrentModificationException in ManagementViewImpl.getDeploymentNamesForType
Summary: AS plugin: NPE after ConcurrentModificationException in ManagementViewImpl.ge...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins
Version: 1.3.1
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: Charles Crouch
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: jon30-bugs
TreeView+ depends on / blocked
 
Reported: 2010-05-11 04:18 UTC by Ondřej Žižka
Modified: 2015-02-01 23:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 648776 (view as bug list)
Environment:
Last Closed: 2013-09-03 16:57:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker JBAS-8271 None None None Never

Description Ondřej Žižka 2010-05-11 04:18:46 UTC
See the stacktrace bellow and https://jira.jboss.org/jira/browse/JBPROFILE-6.

From the nature of the bug, it's not easy to reproduce, but this is how it happened:
1) Start the default profile
2) Log in to the AS console
3) Deploy some Ear with embedded war
4) When AS console page is rendering (and RHQ is scanning the ProfileService), this CMEx occurs.



05:26:29,016 ERROR [StandaloneManagedDeploymentDiscoveryComponent] Unable to get deployment for type ejb2x
java.util.ConcurrentModificationException
        at java.util.HashMap$HashIterator.nextEntry(HashMap.java:793)
        at java.util.HashMap$ValueIterator.next(HashMap.java:822)
        at org.jboss.profileservice.management.ManagementViewImpl.getDeploymentNamesForType(ManagementViewImpl.java:1104)
        at org.rhq.plugins.jbossas5.AbstractManagedDeploymentDiscoveryComponent.discoverResources(AbstractManagedDeploymentDiscoveryComponent.java:69)
        at sun.reflect.GeneratedMethodAccessor249.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.rhq.core.pc.util.DiscoveryComponentProxyFactory$ComponentInvocationThread.call(DiscoveryComponentProxyFactory.java:266)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
        at java.lang.Thread.run(Thread.java:619)
05:26:29,017 WARN [InventoryManager] Failure during discovery for [EJB2 JAR] Resources - failed after 2809 ms.
java.lang.Exception: Discovery component invocation failed.
        at org.rhq.core.pc.util.DiscoveryComponentProxyFactory$ComponentInvocationThread.call(DiscoveryComponentProxyFactory.java:270)
        at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
        at java.util.concurrent.FutureTask.run(FutureTask.java:138)
        at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
        at java.lang.Thread.run(Thread.java:619)
Caused by: java.lang.NullPointerException
        at org.rhq.plugins.jbossas5.AbstractManagedDeploymentDiscoveryComponent.discoverResources(AbstractManagedDeploymentDiscoveryComponent.java:76)
        at sun.reflect.GeneratedMethodAccessor249.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.rhq.core.pc.util.DiscoveryComponentProxyFactory$ComponentInvocationThread.call(DiscoveryComponentProxyFactory.java:266)
        ... 5 more

Comment 1 Charles Crouch 2010-05-19 20:47:36 UTC
Ozizka
We need to get to the bottom of the java.util.ConcurrentModificationException
 from AS, please raise a JBAS jira for this and assign to Scott.

Thanks
Charles

Comment 2 Ian Springer 2010-07-30 15:56:44 UTC
The NPE has been fixed in RHQ w/ commit f5bf932 which has been pushed to the release-3.0.0 branch. A JBAS JIRA still needs to be opened for the underlying CME.

Comment 3 Ondřej Žižka 2010-07-30 16:40:16 UTC
Done:  https://jira.jboss.org/browse/JBAS-8271

Comment 4 Ondřej Žižka 2010-09-27 18:36:14 UTC
So far, no work done on JBAS-8271.

Comment 5 Charles Crouch 2010-11-02 04:47:57 UTC
I'm re-opening this as I see no reference that this issue has actually be QE'd in the master branch

Comment 6 Corey Welton 2011-01-04 17:53:41 UTC
Removing dependency on jon241 bug

Comment 7 Sunil Kondkar 2011-07-05 08:38:29 UTC
Verified on build #170 (Version: 4.1.0-SNAPSHOT Build Number: 67e6127)

Discovered JBoss-EAP-5.1 and uploaded ear with embedded war (jboss-seam-booking.ear) The ear with embedded war is deployed successfully. No error is observed in UI and server log.

Marking as verified.

Comment 10 Heiko W. Rupp 2013-09-03 16:57:25 UTC
Bulk closing of old issues that are in VERIFIED state.


Note You need to log in before you can comment on or make changes to this bug.